Skip to main content
`Ctrl`+`K`

# MatDenseCUDASetPreallocation

Set the device array used for storing the matrix elements of a `MATDENSECUDA` matrix

## Synopsis

    PetscErrorCode MatDenseCUDASetPreallocation(Mat A, PetscScalar *device_array)

Collective

## Input Parameters

- A - the matrix

- device_array - the array (or `NULL`)

## See Also

Matrices, `Mat`, `MATDENSECUDA`, `MatCreate()`, `MatCreateDenseCUDA()`, `MatSetValues()`, `MatDenseSetLDA()`

## Level

intermediate

## Location

src/mat/impls/dense/mpi/cupm/cuda/matmpidensecuda.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages